## EmpathyTpCall

EmpathyTpCall

## Synopsis

                        EmpathyTpCall;
    enum                EmpathyTpCallStatus;
    EmpathyTpCall*      empathy_tp_call_new                 (McAccount *account,
                                                             TpChan *tp_chan);
    gboolean            empathy_tp_call_is_incoming         (EmpathyTpCall *call);
    EmpathyTpCallStatus empathy_tp_call_get_status          (EmpathyTpCall *call);
    EmpathyContact*     empathy_tp_call_get_contact         (EmpathyTpCall *call);
    void                empathy_tp_call_accept              (EmpathyTpCall *call);
    void                empathy_tp_call_invite              (EmpathyTpCall *call,
                                                             EmpathyContact *contact);
    void                empathy_tp_call_request_streams     (EmpathyTpCall *call,
                                                             gboolean audio,
                                                             gboolean video);
    void                empathy_tp_call_send_video          (EmpathyTpCall *call,
                                                             gboolean send);
    void                empathy_tp_call_add_preview_window  (EmpathyTpCall *call,
                                                             guint socket_id);
    void                empathy_tp_call_remove_preview_window
                                                            (EmpathyTpCall *call,
                                                             guint socket_id);
    void                empathy_tp_call_set_output_window   (EmpathyTpCall *call,
                                                             guint socket_id);
    void                empathy_tp_call_set_output_volume   (EmpathyTpCall *call,
                                                             guint volume);
    void                empathy_tp_call_mute_output         (EmpathyTpCall *call,
                                                             gboolean is_muted);
    void                empathy_tp_call_mute_input          (EmpathyTpCall *call,
                                                             gboolean is_muted);

## Object Hierarchy

      GObject
       +----EmpathyTpCall

## Properties

      "account"                  McAccount             : Read / Write / Construct Only
      "status"                   EmpathyTpCallStatus   : Read
      "tp-chan"                  TpChan                : Read / Write / Construct Only

## Signals

      "destroy"                                        : Run Last

## Description

## Details

### EmpathyTpCall

    typedef struct _EmpathyTpCall EmpathyTpCall;

### enum EmpathyTpCallStatus

    typedef enum {
    	EMPATHY_TP_CALL_STATUS_PREPARING,
    	EMPATHY_TP_CALL_STATUS_RINGING,
    	EMPATHY_TP_CALL_STATUS_RUNNING
    } EmpathyTpCallStatus;

### empathy_tp_call_new ()

    EmpathyTpCall*      empathy_tp_call_new                 (McAccount *account,
                                                             TpChan *tp_chan);

`account` : |
`tp_chan` : |
Returns : |

### empathy_tp_call_is_incoming ()

    gboolean            empathy_tp_call_is_incoming         (EmpathyTpCall *call);

`call` : |
Returns : |

### empathy_tp_call_get_status ()

    EmpathyTpCallStatus empathy_tp_call_get_status          (EmpathyTpCall *call);

`call` : |
Returns : |

### empathy_tp_call_get_contact ()

    EmpathyContact*     empathy_tp_call_get_contact         (EmpathyTpCall *call);

`call` : |
Returns : |

### empathy_tp_call_accept ()

    void                empathy_tp_call_accept              (EmpathyTpCall *call);

`call` : |

### empathy_tp_call_invite ()

    void                empathy_tp_call_invite              (EmpathyTpCall *call,
                                                             EmpathyContact *contact);

`call` : |
`contact` : |

### empathy_tp_call_request_streams ()

    void                empathy_tp_call_request_streams     (EmpathyTpCall *call,
                                                             gboolean audio,
                                                             gboolean video);

`call` : |
`audio` : |
`video` : |

### empathy_tp_call_send_video ()

    void                empathy_tp_call_send_video          (EmpathyTpCall *call,
                                                             gboolean send);

`call` : |
`send` : |

### empathy_tp_call_add_preview_window ()

    void                empathy_tp_call_add_preview_window  (EmpathyTpCall *call,
                                                             guint socket_id);

`call` : |
`socket_id` : |

### empathy_tp_call_remove_preview_window ()

    void                empathy_tp_call_remove_preview_window
                                                            (EmpathyTpCall *call,
                                                             guint socket_id);

`call` : |
`socket_id` : |

### empathy_tp_call_set_output_window ()

    void                empathy_tp_call_set_output_window   (EmpathyTpCall *call,
                                                             guint socket_id);

`call` : |
`socket_id` : |

### empathy_tp_call_set_output_volume ()

    void                empathy_tp_call_set_output_volume   (EmpathyTpCall *call,
                                                             guint volume);

`call` : |
`volume` : |

### empathy_tp_call_mute_output ()

    void                empathy_tp_call_mute_output         (EmpathyTpCall *call,
                                                             gboolean is_muted);

`call` : |
`is_muted` : |

### empathy_tp_call_mute_input ()

    void                empathy_tp_call_mute_input          (EmpathyTpCall *call,
                                                             gboolean is_muted);

`call` : |
`is_muted` : |

## Property Details

### The "`account`" property

      "account"                  McAccount             : Read / Write / Construct Only

The account associated with the channel.

### The "`status`" property

      "status"                   EmpathyTpCallStatus   : Read

The status of the call.

Default value: EMPATHY_TP_CALL_STATUS_PREPARING

### The "`tp-chan`" property

      "tp-chan"                  TpChan                : Read / Write / Construct Only

The media channel for the call.

## Signal Details

### The "destroy" signal

    void                user_function                      (EmpathyTpCall *empathytpcall,
                                                            gpointer       user_data)          : Run Last

`empathytpcall` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.